## ros-galactic-tracetools-analysis 2.0.3

=== debian/changelog ===
ros-galactic-tracetools-analysis (2.0.3-4focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 20 Apr 2021 23:04:43 -0000

ros-galactic-tracetools-analysis (2.0.0-4focal) focal; urgency=high

  * Set callback_instances' timestamp & duration cols to datetime/timedelta
  * Improve performance by using lists of dicts as intermediate storage & converting to dataframes at the end
  * Update callback_duration notebook and pingpong sample data
  * Support instrumentation for linking a timer to a node
  * Disable kernel tracing for pingpong example launchfile
  * Support lifecycle node state transition instrumentation
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 31 Mar 2021 07:00:00 -0000

ros-galactic-tracetools-analysis (1.0.0-4focal) focal; urgency=high

  * Add sphinx documentation for tracetools_analysis
  * Improve RequiredEventNotFoundError message
  * Add 'quiet' option to loading-related functions
  * Declare dependencies on jupyter & bokeh, and restore pandas dependency
  * Fix deprecation warnings by using executable instead of node_executable
  * Define output metavar to simplify ros2 trace-analysis convert usage info
  * Validate convert/process paths
  * Add 'ip' context to example profiling launch file
  * Switch to using ping/pong nodes for profile example launch file
  * Add option to simply give an EventHandler when creating a DataModelUtil
  * Do check before calling super().__init__()
  * Add AutoProcessor and script entrypoint
  * Make sure Processor is given at least one EventHandler
  * Make do_convert_if_needed True by default
  * Allow EventHandlers to declare set of required events
  * Add cleanup method for ProcessingProgressDisplay
  * Add memory usage analysis and entrypoint script
  * Add callback-durations analysis script
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 02 Jun 2020 07:00:00 -0000

ros-galactic-tracetools-analysis (0.2.2-4focal) focal; urgency=high

  * Update ROS 2 handler and data model after new tracepoint
  * Fix timestamp column conversion util method
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 19 Nov 2019 08:00:00 -0000

ros-galactic-tracetools-analysis (0.2.0-4focal) focal; urgency=high

  * Improve UX
  * Add flag for process command to force re-conversion of trace directory
  * Make process command convert directory if necessary
  * Make output file name optional for convert command
  * Remove references to "pickle" file and simply use "output" file
  * Display Processor progress on stdout
  * Add sample data, notebook, and launch file
  * Add data model util functions
  * Add profiling and CPU time event handlers
  * Refactor and extend analysis architecture
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 14 Oct 2019 07:00:00 -0000

ros-galactic-tracetools-analysis (0.1.1-4focal) focal; urgency=high

  * Update metadata
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 16 Jul 2019 07:00:00 -0000

ros-galactic-tracetools-analysis (0.1.0-4focal) focal; urgency=high

  * Add analysis tools
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 11 Jul 2019 07:00:00 -0000
